.bg-black {
    background: #000000 !important;
}

.bg-white {
    background: #ffffff !important;
}

.bg-lime {
    background: #a4c400 !important;
}

.bg-green {
    background: #60a917 !important;
}

.bg-emerald {
    background: #008a00 !important;
}

.bg-teal {
    background: #00aba9 !important;
}

.bg-cyan {
    background: #1ba1e2 !important;
}

.bg-cobalt {
    background: #0050ef !important;
}

.bg-indigo {
    background: #6a00ff !important;
}

.bg-violet {
    background: #aa00ff !important;
}

.bg-pink {
    background: #dc4fad !important;
}

.bg-magenta {
    background: #d80073 !important;
}

.bg-crimson {
    background: #a20025 !important;
}

.bg-red {
    background: #ce352c !important;
}

.bg-orange {
    background: #fa6800 !important;
}

.bg-amber {
    background: #f0a30a !important;
}

.bg-yellow {
    background: #e3c800 !important;
}

.bg-brown {
    background: #825a2c !important;
}

.bg-olive {
    background: #6d8764 !important;
}

.bg-steel {
    background: #647687 !important;
}

.bg-mauve {
    background: #76608a !important;
}

.bg-taupe {
    background: #87794e !important;
}

.bg-gray {
    background: #555555 !important;
}

.bg-dark {
    background: #333333 !important;
}

.bg-darker {
    background: #222222 !important;
}

.bg-transparent {
    background: transparent !important;
}

.bg-darkBrown {
    background: #63362f !important;
}

.bg-darkCrimson {
    background: #640024 !important;
}

.bg-darkMagenta {
    background: #81003c !important;
}

.bg-darkIndigo {
    background: #4b0096 !important;
}

.bg-darkCyan {
    background: #1b6eae !important;
}

.bg-darkCobalt {
    background: #00356a !important;
}

.bg-darkTeal {
    background: #004050 !important;
}

.bg-darkEmerald {
    background: #003e00 !important;
}

.bg-darkGreen {
    background: #128023 !important;
}

.bg-darkOrange {
    background: #bf5a15 !important;
}

.bg-darkRed {
    background: #9a1616 !important;
}

.bg-darkPink {
    background: #9a165a !important;
}

.bg-darkViolet {
    background: #57169a !important;
}

.bg-darkBlue {
    background: #16499a !important;
}

.bg-lightBlue {
    background: #4390df !important;
}

.bg-lightRed {
    background: #da5a53 !important;
}

.bg-lightGreen {
    background: #7ad61d !important;
}

.bg-lighterBlue {
    background: #00ccff !important;
}

.bg-lightTeal {
    background: #45fffd !important;
}

.bg-lightOlive {
    background: #78aa1c !important;
}

.bg-lightOrange {
    background: #ffc194 !important;
}

.bg-lightPink {
    background: #f472d0 !important;
}

.bg-grayDark {
    background: #333333 !important;
}

.bg-grayDarker {
    background: #222222 !important;
}

.bg-grayLight {
    background: #999999 !important;
}

.bg-grayLighter {
    background: #eeeeee !important;
}

.bg-blue {
    background: #00aff0 !important;
}

.fg-black {
    color: #000000 !important;
}

.fg-white {
    color: #ffffff !important;
}

.fg-lime {
    color: #a4c400 !important;
}

.fg-green {
    color: #60a917 !important;
}

.fg-emerald {
    color: #008a00 !important;
}

.fg-teal {
    color: #00aba9 !important;
}

.fg-cyan {
    color: #1ba1e2 !important;
}

.fg-cobalt {
    color: #0050ef !important;
}

.fg-indigo {
    color: #6a00ff !important;
}

.fg-violet {
    color: #aa00ff !important;
}

.fg-pink {
    color: #dc4fad !important;
}

.fg-magenta {
    color: #d80073 !important;
}

.fg-crimson {
    color: #a20025 !important;
}

.fg-red {
    color: #ce352c !important;
}

.fg-orange {
    color: #fa6800 !important;
}

.fg-amber {
    color: #f0a30a !important;
}

.fg-yellow {
    color: #e3c800 !important;
}

.fg-brown {
    color: #825a2c !important;
}

.fg-olive {
    color: #6d8764 !important;
}

.fg-steel {
    color: #647687 !important;
}

.fg-mauve {
    color: #76608a !important;
}

.fg-taupe {
    color: #87794e !important;
}

.fg-gray {
    color: #555555 !important;
}

.fg-dark {
    color: #333333 !important;
}

.fg-darker {
    color: #222222 !important;
}

.fg-transparent {
    color: transparent !important;
}

.fg-darkBrown {
    color: #63362f !important;
}

.fg-darkCrimson {
    color: #640024 !important;
}

.fg-darkMagenta {
    color: #81003c !important;
}

.fg-darkIndigo {
    color: #4b0096 !important;
}

.fg-darkCyan {
    color: #1b6eae !important;
}

.fg-darkCobalt {
    color: #00356a !important;
}

.fg-darkTeal {
    color: #004050 !important;
}

.fg-darkEmerald {
    color: #003e00 !important;
}

.fg-darkGreen {
    color: #128023 !important;
}

.fg-darkOrange {
    color: #bf5a15 !important;
}

.fg-darkRed {
    color: #9a1616 !important;
}

.fg-darkPink {
    color: #9a165a !important;
}

.fg-darkViolet {
    color: #57169a !important;
}

.fg-darkBlue {
    color: #16499a !important;
}

.fg-lightBlue {
    color: #4390df !important;
}

.fg-lighterBlue {
    color: #00ccff !important;
}

.fg-lightTeal {
    color: #45fffd !important;
}

.fg-lightOlive {
    color: #78aa1c !important;
}

.fg-lightOrange {
    color: #ffc194 !important;
}

.fg-lightPink {
    color: #f472d0 !important;
}

.fg-lightRed {
    color: #da5a53 !important;
}

.fg-lightGreen {
    color: #7ad61d !important;
}

.fg-grayDark {
    color: #333333 !important;
}

.fg-grayDarker {
    color: #222222 !important;
}

.fg-grayLight {
    color: #999999 !important;
}

.fg-grayLighter {
    color: #eeeeee !important;
}

.fg-blue {
    color: #00aff0 !important;
}


article, aside, figcaption, figure, footer, header, hgroup, main, nav, section {
    display: block;
}

body {
    margin: 0;
    font-size: 0.875rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
}

input,
button,
select,
optgroup,
textarea {
    line-height: normal !important;
}

.navbar {
    background-color: #0069d9 !important;
    padding: .1rem 1rem;
}

.navbar-dark .navbar-nav .nav-link {
    color: #ffffff !important;
}

.nav-link {
    cursor: pointer;
}

.action-bar {
    background-color: white;
    z-index: 2;
}

.action-bar {
    position: relative;
}

.action-bar-sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
}

.action-bar-content {
    height: 40px;
}
    .action-bar-content .btn {
        line-height: normal !important
    }

    .action-bar-content h3 {
        margin: 0px !important
    }

    .action-bar-content .dropdown-menu {
        font-size: 0.8rem !important
    }

.overlay {
    border: black 1px solid;
    padding: 5px;
    z-index: 100;
    width: 100px;
    position: absolute;
    background-color: #fff;
    -moz-opacity: 0.75;
    opacity: 0.75;
    filter: alpha(opacity=75);
    font-size: 12px;
    font-weight: bold;
    text-align: center;
}

.loading {
    font-size: 20px;
    height: 100%;
    width: 100%;
    padding-top: 20%;
    display: none;
    position: fixed;
    background-color: #fff;
    -moz-opacity: 0.7;
    opacity: 0.7;
    filter: alpha(opacity=75);
    z-index: 2147483647 !important;
    text-align: center;
}

.modal-ui {
    position: fixed;
    top: 0;
    left: 0;
    background-color: transparent;
    opacity: 0.7;
    filter: alpha(opacity=50);
    -moz-opacity: 0.8;
    min-height: 100%;
    width: 100%;
    z-index: 99;
}

.timepicker {
    width: 5.0rem !important;
}

.datepicker {
    width: 90px !important;
    position: relative;
    z-index: 200 !important;
}

.datepickerd {
    width: 9.5rem !important;
    z-index: 200 !important;
}
.datepicker-modal {
    width: 110px !important;
    position: relative;
    z-index: 1100 !important;
}

.ui-autocomplete {
    max-height: 250px;
    overflow-y: auto;
    overflow-x: hidden;
    z-index: 2147483647 !important;
}

.ui-autocomplete-loading {
    background: white url("images/progress.gif") right center no-repeat;
}

.tbRicForm {
    border-collapse: separate;
    line-height: 1.8;
}

.tbRic {
    margin: 0px auto 0px auto;
    border-collapse: separate;
    border-spacing: .3rem;
    line-height: 1.8;
}

.text-info {
    color: #1ba1e2 !important;
}

.text-alert {
    color: #e51400 !important;
}

.text-warning {
    color: #fa6800 !important;
}

.text-success {
    color: #60a917 !important;
}

.btn {
    font-size: 0.875rem;
    border-radius: 0 !important;
}

.btn-lg, .btn-group-lg > .btn {
    padding: 0.5rem 1rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.3rem;
}

.btn-sm, .btn-group-sm > .btn {
    padding: 0.125rem 0.25rem;
    font-size: 0.725rem;
}

.table th,
.table td {
    padding: 0.2rem !important;
}

.table .thead-light th a {
    color: #FFFFFF !important;
}

.table .thead-light th {
    color: #FFFFFF !important;
    background-color: #507CD1 !important;
    border-color: #507CD1 !important;
}

.table {
    background-color: transparent !important;
    font-size: 0.75rem !important;
}

table.dataTable {
    border-collapse: collapse !important;
}

.table-sm th,
.table-sm td {
    padding: 0.1rem;
}

.pagination .page-link {
    padding: 0.13rem 0.5rem 0.13rem 0.5rem !important;
    font-size: 0.875rem !important;
}

.gv-pager a, .gv-pager span {
    margin-right: 0.4rem;
    margin-left: 0.4rem;
    text-decoration: none;
}

    .gv-pager a:hover, .gv-pager span:hover {
        text-decoration: none;
    }

.gv-pager table > tbody > tr > td:hover {
    background-color: white;
}

.title {
    line-height: normal !important;
}

.card-link {
    text-decoration: none !important
}

.card-body {
    padding: 0.5rem;
}

.card-header {
    padding: 0.5rem;
}

.card-header-panel {
    padding: 0.25rem 0.5rem 0.25rem 0.5rem;
    color: #ffffff;
    background-color: #1ba1e2;
}

.card-footer {
    padding: 0.5rem;
}

.form-control-plaintext {
    padding: 0.075rem 0.375rem;
    appearance: none;
}

.form-control {
    font-size: 0.875rem;
    border-radius: 0;
    padding: 0.075rem 0.375rem;
}

    .form-control:disabled, .form-control[readonly] {
        appearance: none;
    }

.form-control-lg {
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
}

.form-control-sm {
    min-height: calc(1em + 0.5rem + calc(var(--bs-border-width) * 2)) !important;
    padding: 0.20rem 0.5rem;
    font-size: .7rem;
    border-radius: var(--bs-border-radius-sm);
}

.form-select-sm {
    padding-top: .1rem;
    padding-bottom: .1rem;
    padding-left: 0.5rem;
    font-size: .7rem;
    border-radius: var(--bs-border-radius-sm);
}

.form-select {
    font-size: 0.875rem;
    border-radius: 0;
    padding: 0.075rem 2.25rem 0.075rem 0.375rem;
    background-position: right 0.375rem center;
}

.was-validated .form-control:invalid, .form-control.is-invalid {
    padding-right: calc(0.1875em + 0.09375rem);
    background-position: center right calc(0.09375em + 0.046875rem);
}